Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 600344 - =www-client/firefox-50.0 html5 video broken
Summary: =www-client/firefox-50.0 html5 video broken
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords: InOverlay
Depends on:
Blocks:
 
Reported: 2016-11-20 20:11 UTC by cronolio
Modified: 2017-09-02 14:03 UTC (History)
36 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cronolio 2016-11-20 20:11:38 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=1318404
https://bugzilla.mozilla.org/show_bug.cgi?id=1318083

in this case how i can return for 49.0.2 ?
Comment 1 Zoltan Puskas 2016-11-21 07:49:02 UTC
Yup. Setting layers.acceleration.disabled = true mitigates the problem at the expense of using the CPU for rendering instead of the GPU.
Comment 2 cronolio 2016-11-21 08:19:27 UTC
we still have with https://gitweb.gentoo.org/repo/gentoo.git/tree/www-client/firefox/firefox-50.0.ebuild#n278 
"layers.acceleration.force-enabled",  true
"webgl.force-enabled",                true
Comment 3 Ian Stakenvicius gentoo-dev 2016-11-21 14:55:37 UTC
Returning to 49.x isn't recommended due to the security vulnerabilities -- it would be better to drop to 45.5.0.

As for this particular issue, it seems even on the upstream bugs that this is random based on certain GPUs -- if I remember correctly there was a bug about this against 49.0 as well.

Could we get some more information from those experiencing this issue?  emerge --info and info about youg GPUs would help a lot.

(it may be worth noting I don't see any issues at all with html5 video on youtube or anywhere else with my intel chipset and all hwaccel enabled as per the default)
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2016-11-21 15:02:50 UTC
I can confirm this issue on my laptop:

# emerge --info firefox xorg-server xf86-video-ati
Portage 2.3.2 (python 3.5.2-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0-asneeded, glibc-2.22-r4, 4.4.33 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.33-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_820_@_1.73GHz-with-gentoo-2.3
KiB Mem:    32934376 total,  24497332 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Mon, 21 Nov 2016 07:00:01 +0000
Timestamp of repository poly-c: Mon, 21 Nov 2016 14:29:57 +0000
sh dash 0.5.9.1-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.0::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /var/portage
    sync-type: rsync
    sync-uri: rsync://192.168.0.254/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 0

poly-c
    location: /var/lib/layman/poly-c
    masters: gentoo
    priority: 1

kde-sunset
    location: /var/lib/layman/kde-sunset
    masters: gentoo
    priority: 2

palemoon
    location: /var/lib/layman/palemoon
    masters: gentoo
    priority: 3

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ConsoleKit /etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/dconf /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/polkit-1 /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/usb_modeswitch.d /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n --binpkg-respect-use=n --verbose-slot-rebuilds=n --keep-going --fuzzy-search=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
INSTALL_MASK="/etc/systemd /lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /etc/init.d/functions.sh"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/opt/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dts dvd dvdr emboss encode exif fam ffmpeg firefox flac gdbm gif glamor gmp gnutls gtk iconv icu idn inotify ipv6 jpeg jpeg2k kde kipi lame lcms libnotify lzma mad matroska midi mmap mmx mmxext mng modules mp3 mp4 mpeg mpfr multilib ncurses nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 quicktime readline rtmp schroedinger sdl seccomp session slang spell sse sse2 ssl startup-notification svg theora threads tiff tinfo truetype twolame udev udisks unicode upower usb vaapi vcd vdpau vorbis vpx widgets wxwidgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" CAMERAS="ptp2" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="gnutls" ELIBC="glibc" INPUT_DEVICES="evdev joystick synaptics" KERNEL="linux" L10N="de de-1901 en" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby22 ruby23" USERLAND="GNU" VIDEO_CARDS="r600 radeon"
USE_PYTHON="2.7 3.4"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

www-client/firefox-50.0::gentoo was built with the following:
USE="-bindist -custom-cflags -custom-optimization dbus -debug -gmp-autoupdate gtk2 -hardened hwaccel jemalloc jit (-neon) -pgo pulseaudio (-selinux) skia startup-notification system-cairo system-harfbuzz system-icu system-jpeg -system-libevent system-libvpx system-sqlite -test -wifi" ABI_X86="64" L10N="-ach -af -an -ar -as -ast -az -be -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da de -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW"
CFLAGS="-march=native -mtune=native -pipe"
CXXFLAGS="-march=native -mtune=native -pipe"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags"


x11-base/xorg-server-1.19.0::gentoo was built with the following:
USE="-dmx -doc glamor ipv6 -kdrive -libressl -minimal (-selinux) -static-libs suid (-systemd) -tslib udev -unwind -wayland -xephyr -xnest xorg -xvfb" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed -Wl,-z,lazy"


x11-drivers/xf86-video-ati-7.8.0::gentoo was built with the following:
USE="glamor udev" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed -Wl,-z,lazy"
Comment 5 cronolio 2016-11-21 15:54:51 UTC
Portage 2.3.0 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.22-r4, 4.4.27-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.27-gentoo-x86_64-Pentium-R-_Dual-Core_CPU_E6600_@_3.06GHz-with-gentoo-2.2
KiB Mem:     4042752 total,   1681860 free
KiB Swap:    3145724 total,   3145724 free
Timestamp of repository gentoo: Mon, 21 Nov 2016 12:42:48 +0000
sh bash 4.3_p48
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.2.4 [enabled]
app-shells/bash:          4.3_p48::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /mnt/mirror/portage
    sync-type: git
    sync-uri: git://github.com/gentoo-mirror/gentoo
    priority: -1000

rion
    location: /var/lib/layman/rion
    sync-type: laymansync
    sync-uri: git://github.com/rion-overlay/rion-overlay.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

local-crossdev
    location: /mnt/mirror/portage-crossdev
    masters: gentoo
    priority: 9999

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -mssse3 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe -mssse3 -fomit-frame-pointer"
DISTDIR="/mnt/mirror/gentoo-distfiles/distfiles/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news nodoc parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/"
LANG="ru_RU.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j 3"
PKGDIR="/mnt/mirror/gentoo-distfiles/packages/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus acl acpi alsa amd64 bash-completion berkdb branding bzip2 cairo cdda cdr cli consolekit cpudetection cracklib crypt cue cxx dbus djvu dri dts dvd dvdr emboss encode exif faac fam ffmpeg firefox flac gdbm gif glamor gnome-keyring gstreamer gtk gtk3 gtkstyle iconv jpeg lcms libnotify lzma mad matroska mmx mmxext mng modplug modules mp3 mp4 mpeg multilib musepack mysqli natspec ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio rar readline sdl seccomp session spell sse sse2 sse3 ssl ssse3 startup-notification svg theora tiff truetype twolame udev udisks unicode upower usb v4l vaapi vdpau vorbis vpx wavpack wxwidgets x264 xattr xcb xml xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" L10N="ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-base/xorg-server-1.18.4::gentoo was built with the following:
USE="glamor suid udev xorg -dmx -doc -ipv6 -kdrive (-libressl) -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xephyr -xnest -xvfb" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"


x11-drivers/nvidia-drivers-361.28::gentoo was built with the following:
USE="X acpi driver gtk3 kms multilib tools -pax_kernel -static-libs -uvm" ABI_X86="64"

www-client/firefox-50.0::gentoo [45.5.0::gentoo] USE="custom-optimization dbus gmp-autoupdate hwaccel jemalloc%* jit pulseaudio skia%* startup-notification system-icu system-jpeg -bindist -custom-cflags -debug -gtk2% -hardened (-neon) -pgo (-selinux) (-system-cairo) -system-harfbuzz -system-libevent -system-libvpx -system-sqlite {-test} -wifi (-ffmpeg%*) (-gstreamer%*) (-gstreamer-0%) (-jemalloc3%*)" L10N="ru -ach -af -an -ar -as -ast -az -be -bg -bn-BD -bn-IN -br -bs -ca -cak% -cs -cy -da -de -dsb% -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff% -fi -fr -fy -ga -gd -gl -gn% -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lij% -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW" 0 KiB

return for 45.5.0
Comment 6 cronolio 2016-11-21 15:57:25 UTC
my vediocard too
01:00.0 VGA compatible controller: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] (rev a2)
	Subsystem: ASUSTeK Computer Inc. GM107 [GeForce GTX 750 Ti]
Comment 7 Andrzej Rybczak 2016-11-22 08:01:07 UTC
As a workaround you can try force-enabling multiprocess windows (see https://superuser.com/questions/1029400/how-to-enable-electrolysis-e10s-on-mozilla-firefox-beta) - that fixed the issue for me (I use xf86-video-ati).
Comment 8 Ian Stakenvicius gentoo-dev 2016-11-22 15:56:59 UTC
(In reply to Andrzej Rybczak from comment #7)
> As a workaround you can try force-enabling multiprocess windows (see
> https://superuser.com/questions/1029400/how-to-enable-electrolysis-e10s-on-
> mozilla-firefox-beta) - that fixed the issue for me (I use xf86-video-ati).

Anyone lookin to try this needs to adjust two things in about:config :

browser.tabs.remote.autostart: true
extensions.e10sBlocksEnabling: false 

Please note that upstream provides no warranty for e10s yet with firefox-50 , so enabling this may have unknown consequences to not only firefox but the performance of the rest of your system as well when firefox is running.
Comment 9 Sophie Hirn 2016-11-24 07:45:18 UTC
Also ran into this issure, USE="-hwaccel" fixed it for me.



$ emerge --info www-client/firefox x11-base/xorg-server x11-drivers/xf86-video-ati
Portage 2.3.2 (python 2.7.10-final-42, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.23-r3, 4.8.10-gentoo-ck1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.10-gentoo-ck1-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.3
KiB Mem:    12291524 total,  10541988 free
KiB Swap:   32940756 total,  32940756 free
Timestamp of repository gentoo: Wed, 23 Nov 2016 20:22:54 +0000
sh bash 4.4_p5
ld GNU ld (Gentoo 2.27 p1.0) 2.27
ccache version 3.3.3 [enabled]
app-shells/bash:          4.4_p5::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.3.3::gentoo
dev-util/cmake:           3.7.0::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

steam-overlay
    location: /usr/local/steam-overlay
    sync-type: git
    sync-uri: https://github.com/anyc/steam-overlay/
    masters: gentoo

brother-overlay
    location: /var/lib/layman/brother-overlay
    sync-type: laymansync
    sync-uri: https://github.com/stefan-langenmaier/brother-overlay.git
    masters: gentoo
    priority: 50

go-overlay
    location: /var/lib/layman/go-overlay
    sync-type: laymansync
    sync-uri: https://github.com/Dr-Terrible/go-overlay.git
    masters: gentoo
    priority: 50

haskell
    location: /var/lib/layman/haskell
    sync-type: laymansync
    sync-uri: git://github.com/gentoo-haskell/gentoo-haskell.git
    masters: gentoo
    priority: 50

lua
    location: /var/lib/layman/lua
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/lua.git
    masters: gentoo
    priority: 50

soft
    location: /var/lib/layman/soft
    sync-type: laymansync
    sync-uri: https://bitbucket.org/Soft/overlay
    masters: gentoo
    priority: 50

ws-ovl
    location: /home/boonami/system/ws-ovl
    masters: haskell gentoo
    priority: 50

Installed sets: @base-setup, @cli-utils, @desktop-suite, @desktop-world, @gui-stack
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="         --backtrack=0         --keep-going         --quiet-build         --tree                      --jobs 8             --load-average 8             "
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks downgrade-backup ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=" -j8 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac aacplus acl alsa amd64 amr amrenc berkdb bzip2 celt cleartype cli corefonts cracklib crypt cups cxx dbus dri flac fontconfig fortran fuse gallium gdbm gif gpm gstreamer gtk hoogle hscolour iconv icu imlib ipv6 java javascript jpeg lame mmx mmxext modules mp3 mpeg multilib ncurses nfs nfsv4 nfsv41 nls nptl nsplugin offensive ogg opengl openmp opus pam pcre png policykit postscript pulseaudio raw readline seccomp session sound speex sse sse2 ssl svg system-boost system-cairo system-ffmpeg system-harfbuzz system-icu system-jpeg system-libevent system-libs system-libvpx system-llvm system-lua system-sqlite tcpd theora threads tiff truetype twolame udev unicode vaapi vdpau vorbis vpx wavpack x264 x265 xattr xft xinerama zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev evdev keyboard mouse wacom" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy" RUBY_TARGETS="ruby22 ruby23" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

www-client/firefox-50.0::gentoo was built with the following:
USE="dbus gmp-autoupdate gtk2 jemalloc jit pgo pulseaudio skia system-harfbuzz system-icu system-jpeg system-libevent system-libvpx system-sqlite -bindist -custom-cflags -custom-optimization -debug -hardened -hwaccel (-neon) (-selinux) -startup-notification (-system-cairo) -test -wifi" ABI_X86="64" L10N="de -ach -af -an -ar -as -ast -az -be -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW"
CFLAGS="-march=native -pipe"
CXXFLAGS="-march=native"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags"


x11-base/xorg-server-1.18.4::gentoo was built with the following:
USE="glamor ipv6 suid udev xorg xvfb -dmx -doc -kdrive -libressl -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xephyr -xnest" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"


x11-drivers/xf86-video-ati-7.8.0::gentoo was built with the following:
USE="glamor udev" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"
Comment 10 Morton Pellung 2016-11-24 10:32:16 UTC
confirming, Youtube HTML5 video broke with FF50, seeing this with a:

xf86-video-intel: 2.99.917_p20160621-r1
Mesa DRI Intel(R) Haswell Desktop  (0x412), Version: 12.0.1
VA-API version: 0.39 (libva 1.7.3), Intel i965 driver for Intel(R) Haswell Desktop

...say if you need more info
Comment 11 Andreas Sturmlechner gentoo-dev 2016-11-26 14:07:54 UTC
Same here:


Portage 2.3.0 (python 3.5.2-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.22-r4, 4.4.34-gentoo x86_64)
=================================================================
System uname: Linux-4.4.34-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_L9400_@_1.86GHz-with-gentoo-2.2
KiB Mem:     8058560 total,    936388 free
KiB Swap:    8388604 total,   8388456 free
Timestamp of repository gentoo: Sat, 26 Nov 2016 13:15:01 +0000
sh bash 4.3_p48
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.8.5::gentoo, 5.4.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    eclass-overrides: kde
    sync-rsync-extra-opts: --exclude-from=/etc/portage/rsync_excludes

Installed sets: @development, @fonts, @kde-applications-5, @kde-plasma-5, @system
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Eizo PUEL Q3AEULA Q3AEULA-20000111"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -pipe"
DISTDIR="/var/lib/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://tux.rainside.sk/gentoo/ http://gentoo.inode.at/ http://tux.rainside.sk/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/var/lib/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 acl acpi addressbook akonadi alsa amd64 apache2 avahi baloo bash-completion bluetooth branding bzip2 cdda cddb cdparanoia cdr cli colord consolekit corefonts cracklib crypt cups custom-cflags custom-cpuopts cxx dbus declarative dirac dri dts dvb dvd dvdr egl emboss encode exif expat fam ffmpeg fftw firefox flac fontconfig fortran ftp gd gdbm gif git google gpg gpm gs iconv icu id3tag idn imagemagick inotify jpeg jpeg2k kde kipi lame laptop lastfm lcms ldap libnotify lm_sensors lqr lzma lzo mad matroska mmx mmxext mng modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses networkmanager nls nptl nsplugin offensive ogg openexr opengl openmp pam pcre pdf phonon plasma pm-utils png policykit postgres ppds python3 qml qt3support qt4 qt5 quicktime readline schroedinger sdl seccomp secure-delete semantic-desktop session smp spell sse sse2 ssl startup-notification svg syslog tcpd theora threads tidy tiff truetype udev udisks unicode upower usb v4l vaapi vcd vorbis vpx wayland webp wicd widgets x264 xattr xcb xcomposite xml xmp xpm xv xvid yaz zeroconf zip zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias lbmethod_byrequests proxy proxy_balancer slotmem_shm" CALLIGRA_FEATURES="braindump flow karbon kexi krita plan sheets words" CAMERAS="canon nikon pentax ptp2 ricoh" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3" DVB_CARDS="usb-dib0700" ELIBC="glibc" ENLIGHTENMENT_MODULES="access backlight battery clock comp conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-wallpaper2 conf-window-manipulation conf-window-remembers cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager physics quickaccess shot start syscon systray tasks temperature tiling winlist wizard xkbswitch" GRUB_PLATFORMS="pc" ICC_PROFILES="S2242W S2243W" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en-GB en de-AT de" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en de_AT de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_5" QEMU_SOFTMMU_TARGETS="aarch64 arm i386 x86_64" QEMU_USER_TARGETS="aarch64 arm i386 x86_64" RUBY_TARGETS="ruby21" SANE_BACKENDS="canon canon_dr epson epson2 pixma ricoh" USERLAND="GNU" VIDEO_CARDS="intel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 12 Klaus Kusche 2016-11-26 15:45:49 UTC
Another one here, but on AMD graphics (Cap verde, radeonsi).
Comment 13 Gerard van Vuuren 2016-11-26 18:58:01 UTC
One more on nvidia gtx210.
I re-emerged with -hwaccel which seems to solve it.
Not sure it'll work on all videos.
Gerard
Comment 14 Pavel Kozlov 2016-11-27 08:28:40 UTC
Confirming, I have exactly the same issue.

Please mask 50.0 version - it would be better to return to 49.? - but there are no ebuilds right now, only 45.5.0.
Comment 15 Morton Pellung 2016-11-27 12:58:30 UTC
In the last three days I must say it sometimes works and sometimes not - and I did not touch my FF config at all!

However, I don't see a clear pattern: wild guess may be that it is related to my dual-monitor setup, sometimes I use one, sometimes two, sometimes I move a FF window from one to the other.... but I do not see a clear pattern :-(

a) Someone must be able to reproduce it at all times
b) then run regression testing with older builds to see when it started to happen, as suggested in the upstream bug
(https://bugzilla.mozilla.org/show_bug.cgi?id=1318404)
Comment 16 Klaus Kusche 2016-11-27 14:36:27 UTC
(In reply to Morton Pellung from comment #15)
> In the last three days I must say it sometimes works and sometimes not - and
> I did not touch my FF config at all!

I only tried some hours, but for me, it was reproducable (happened always).

> However, I don't see a clear pattern: wild guess may be that it is related
> to my dual-monitor setup, sometimes I use one, sometimes two, sometimes I
> move a FF window from one to the other.... but I do not see a clear pattern
> :-(

I also have dual monitors (laptop + external screen),
both showing the same contents.

> a) Someone must be able to reproduce it at all times
> b) then run regression testing with older builds to see when it started to
> happen, as suggested in the upstream bug
> (https://bugzilla.mozilla.org/show_bug.cgi?id=1318404)

I'm compiling on a laptop, by far too slow for bisecting...

I can confirm that
* forcing e10s solves the problem 
  (but introduces too many other bugs for me)
* or turning hw accel off solves the problem.

So the problem seems to be specific to "e10s off" plus "hw accel on".
Comment 17 Marcin Szamotulski 2016-11-30 11:01:06 UTC
I also experience this issue.  I do have hwacces on but e10s (aka multiprocess windows) is off (Disabled by add-ons).  I run on nvidia hardware (gk107m).  I use external monitor, but I get this bug on both monitors and also without the external one.
Comment 18 Gerard van Vuuren 2016-12-01 14:39:08 UTC
Tried FF-50.0.2 with hwaccel enabled.
Youtube ok but others not.
I have no idea what codec "Blue Billywig Video Player" uses
but it loops on the first frames.
Gerard.
Comment 19 Kelly Price 2016-12-02 02:52:16 UTC
I too have this problem, but strangely enough, using the binary build for Mozilla works for me.  It's always HTML5 video, not Flash video.  Youtube loops unless I force Flash or use www-client/firefox-bin-50.0.

Maybe the differences in how Mozilla building it and how Gentoo builds it gives some pause.
Comment 21 cronolio 2016-12-02 14:20:24 UTC
(In reply to Bruce Hill from comment #20)
> Upstream:
> 
> https://hg.mozilla.org/integration/mozilla-inbound/rev/bcba1adaeb51

who want to backport it ? :)
Comment 22 Ian Stakenvicius gentoo-dev 2016-12-02 14:48:59 UTC
(In reply to cronolio from comment #21)
> (In reply to Bruce Hill from comment #20)
> > Upstream:
> > 
> > https://hg.mozilla.org/integration/mozilla-inbound/rev/bcba1adaeb51
> 
> who want to backport it ? :)

(Quote: patch in URL above)
> +#ifdef XP_WIN
> +  [...]
> +#else
> +  MOZ_ASSERT(false, "Can't use RemoteVideoDecoder on non-Windows platforms yet");
> +#endif

...I'm not so sure how useful this will be to us..
Comment 23 ferrelas23 2016-12-04 17:40:14 UTC
This is not related to dual screens, I get it, and I have only one monitor.
Comment 24 destroyedlolo 2016-12-04 18:20:27 UTC
Me too : I have a single screen and face this issue.
In addition, v50.0.2 improved the situation, but after a while, videos restart to loop.

Bye
Comment 25 Morton Pellung 2016-12-08 15:08:45 UTC
It still sometimes works, sometimes not, and I cannot produce it reliably.

One observation: I watch YT video just fine, then do something like rewind a bit because I missed a part and then playback is broken. Reloading page does not fix playback, I have to close this one window (not whole FF) and open same YT url in new window again and the same video plays fine again. Strange :-/
Comment 26 William 2016-12-13 10:29:35 UTC
I get this even with hw accel disabled in the preferences. 
Right clicking on a video seems to trigger it reliably for me: right click on a video, copy link for example, load another video, the new video is broken.
Comment 27 cronolio 2016-12-13 10:52:01 UTC
i force-enable https://wiki.mozilla.org/Electrolysis#Force_Enable e10s
but any installed/enabled addons disable it through extensions.e10sBlockedByAddons=true < i change it for false time to time and it working :) how to possible disable this addon check ?
Comment 28 Sven B. 2016-12-13 10:54:26 UTC
(In reply to cronolio from comment #27)
> i force-enable https://wiki.mozilla.org/Electrolysis#Force_Enable e10s
> but any installed/enabled addons disable it through
> extensions.e10sBlockedByAddons=true < i change it for false time to time and
> it working :) how to possible disable this addon check ?

just add a new entry:
browser.tabs.remote.force-enable;true
Comment 29 cronolio 2016-12-13 11:04:07 UTC
(In reply to Sven B. from comment #28)
> just add a new entry:
> browser.tabs.remote.force-enable;true

i have it entry
Comment 30 Klaus Kusche 2016-12-13 18:34:25 UTC
(In reply to cronolio from comment #29)
> (In reply to Sven B. from comment #28)
> > just add a new entry:
> > browser.tabs.remote.force-enable;true
> 
> i have it entry

Try setting 
extensions.e10sBlockedByAddons;false
Comment 31 cronolio 2016-12-14 08:30:14 UTC
(In reply to Klaus Kusche from comment #30)
> (In reply to cronolio from comment #29)
> > (In reply to Sven B. from comment #28)
> > > just add a new entry:
> > > browser.tabs.remote.force-enable;true
> > 
> > i have it entry
> 
> Try setting 
> extensions.e10sBlockedByAddons;false

i have it too, but after ~24h it again changed to true
my question is how set false and freeze it
Comment 32 Sven B. 2016-12-14 14:09:56 UTC
> i have it too, but after ~24h it again changed to true
> my question is how set false and freeze it

Once browser.tabs.remote.force-enable;true is set it shouldn't matter if extensions.e10sBlockedByAddons;true is set. If you are unsure just check about:support for whether "Multiprocess Windows 1/1 (Enabled by user)" is shown.
Comment 33 Ian Stakenvicius gentoo-dev 2016-12-14 15:00:10 UTC
(In reply to Sven B. from comment #32)
> > i have it too, but after ~24h it again changed to true
> > my question is how set false and freeze it
> 
> Once browser.tabs.remote.force-enable;true is set it shouldn't matter if
> extensions.e10sBlockedByAddons;true is set. If you are unsure just check
> about:support for whether "Multiprocess Windows 1/1 (Enabled by user)" is
> shown.

It shouldn't, but it does -- at least, I've noticed this as well.  That said, check the status of "extensions.e10s.rollout.hasAddon" and "extensions.e10sBlocksEnabling" in about:config - I think I disabled the rollout addon by ensuring the first of these is set to false (both are set to false on my system but I don't recall setting the latter one)
Comment 34 Sven B. 2016-12-14 16:21:53 UTC
> It shouldn't, but it does -- at least, I've noticed this as well.  That
> said, check the status of "extensions.e10s.rollout.hasAddon" and
> "extensions.e10sBlocksEnabling" in about:config - I think I disabled the
> rollout addon by ensuring the first of these is set to false (both are set
> to false on my system but I don't recall setting the latter one)

Ah right, I install masked that add-on some time ago so browser.tabs.remote.force-enable;true worked for me.

That said;
extensions.e10s.rollout.hasAddon;false
browser.tabs.remote.force-enable;true
works for me.

and these seem to be inconsequential for force enabling e10s
extensions.e10sBlocksEnabling;true/false
extensions.e10sBlockedByAddons;true/false
Comment 35 cronolio 2016-12-14 17:50:48 UTC
looks like yes. extensions.e10sBlockedByAddons;true/false now not change Multiprocess Windows anymore. and all work.
but really now i on 50.0.2. we can close this bug with "upstream" probably.
Comment 36 Wojciech Myrda 2017-01-07 20:03:43 UTC
Does upstream even work on this? Searching their bugzilla I found only bug from 2012 that remains reopened till today with no activity there. https://bugzilla.mozilla.org/show_bug.cgi?id=719380
Comment 37 Kelly Price 2017-01-07 20:09:34 UTC
Upstream's binaries work.  I'm using them as a work-around.
Comment 38 Jory A. Pratt gentoo-dev 2017-01-14 15:42:05 UTC
For those who do not want to wait, I have removed the default enable on hwaccel in the Mozilla overlay. It will make its way to tree with next bump.
Comment 39 Le Baron d'Merde 2017-01-17 14:08:24 UTC
Same here, but some times happens, some times not.

Using radeon driver:

01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS880 [Radeon HD 4250]


Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.23-r3, 4.9.4-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.9.4-gentoo-x86_64-AMD_FX-tm-8120_Eight-Core_Processor-with-gentoo-2.3
KiB Mem:    16135696 total,   9081164 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 17 Jan 2017 13:42:16 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5-r1::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23.1::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0-r2::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

PrivacyChain
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy cgroup config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="        ftp://gentoo.c3sl.ufpr.br/gentoo/       ftp://ftp.gtlib.gatech.edu/pub/gentoo   ftp://ftp.mirrorservice.org/sites/distfiles.gentoo.org/ "
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X a52 aac acl acpi alsa amd64 apparmor berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups custom-cflags custom-optimization cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fontconfig fortran gdbm gif glamor gpm gtk gtkstyle harfbuzz iconv ipv6 jit jpeg kde kipi lcms libnotify mad mmx mmxext mng modules mp3 mp4 mpeg mtp multilib ncurses nls nptl offensive ogg opengl openmax openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt3support qt4 qt5 readline seccomp semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vdpau vim-syntax vorbis wayland widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel loopback" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev libinput" KERNEL="linux" L10N="en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

www-client/firefox-50.1.0-r1::gentoo was built with the following:
USE="custom-cflags custom-optimization dbus gmp-autoupdate hwaccel jemalloc jit skia startup-notification -bindist -debug -gtk2 -hardened -jack (-neon) -pgo -pulseaudio (-selinux) (-system-cairo) -system-harfbuzz -system-icu -system-jpeg -system-libevent -system-libvpx -system-sqlite -test -wifi" ABI_X86="64" L10N="-ach -af -an -ar -as -ast -az -be -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -de -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW"
CFLAGS="-march=native -pipe -fomit-frame-pointer"
CXXFLAGS="-march=native -pipe -fomit-frame-pointer"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags"
Comment 40 Gabor MARTON 2017-02-04 22:51:19 UTC
I have two computers running Gentoo. ComputerA has a GeForce GT 620, ComputerB has a GeForce GTX 750. Until a recent bigger world update I have had used Firefox 51 on both computers without any problem playing back any videos. I've been using a precompiled 64-bit version of Firefox downloaded from Mozilla. Now after the world update I have the following situation. ComputerA with GT 620 runnig Firefox 51 plays back everything just fine. ComputerB with GTX 750 running Firefox 51 has playback issues.

Youtube: OK.
Vimeo: Fails, no video playback.
9GAG: Fails.
Facebook: Fails.
Plex from local server: Fails, stating "[Player] Media element error code: 3."
According to https://dev.w3.org/html5/spec-preview/media-elements.html#error-codes:
"MEDIA_ERR_DECODE (numeric value 3)
    An error of some description occurred while decoding the media resource, after the resource was established to be usable."

I emerged www-client/firefox-45.7.0. and had some improvements.

Youtube: OK.
Vimeo: OK
9GAG: Fails.
Facebook: Fails.
Plex: Fails, same error.

None of the suggested workarounds worked for me.

ComputerA(working)
------------------
# emerge --info nvidia-drivers
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.4, glibc-2.23-r3, 4.4.26-gentoo-hatak x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.26-gentoo-hatak-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.3
KiB Mem:     8163612 total,    552660 free
KiB Swap:    8000252 total,   7538516 free
Timestamp of repository gentoo: Fri, 03 Feb 2017 18:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.3::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.8.5::gentoo, 4.9.3::gentoo, 4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.mik.uni-pannon.hu/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 skype-eula AdobeFlash-10 AdobeFlash-10.1 Q3AEULA Oracle-BCLA-JavaSE AdobeFlash-10.3 AdobeFlash-11.x google-chrome TeamViewer OPERA-12 NVIDIA-CUDA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=core2"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi ads alisp alsa alsa-plugin amarok amd64 aot apache2 apng auto-completion automount bash-completion berkdb bluray branding btrfs bzip2 cairo cdda cdr cli consolekit corefonts cracklib creds crypt cuda cups curl cxx dbus dconf declarative device-mapper down-root dri dts dvd dvdr emboss encode equalizer exif faac faad fam ffmpeg fftw firefox flac foomaticdb fortran freerdp fuse gbm gd gdbm geoip geolocation gif gimp git glamor gnome gnome-keyring gphoto2 gpm gtk gtk3 gtkstyle gudev hardened hpcups httpd hwaccel hwdb iconv icu id3 id3tag imagemagick inotify introspection iproute2 ipv6 jabber java jpeg jpeg2k kde keymap kipi lcms ldap lensfun libnotify libproxy libsamplerate libssh2 libsysfs libv4l2 lightning live logrotate logwatch lua mad maildir minizip mktemp mmx mmxext mng modules mount mp2 mp3 mp3rtp mp3tunes mp4 mp4live mpeg mpeg2 mplayer msn multilib musicbrainz mysql mysqli ncat ncurses ndiff network network-cron nfs nls nmap-update nping nptl nsplugin ntfs ntfsprogs nvidia ogg opengl openmp openrc openssl openvpn otr pam pango parcheck pcre pcsc-lite pdf perl pidgin pkcs11 plasma png policykit postproc postscript ppds prediction printsupport pulsaudio pulseaudio python python3 qt3support qt4 qt5 quotas rdesktop rdesktop-vrdp rdp rdpusb readline reencrypt rtc rtmp rtsp samba scanner script sdl seccomp secure-messaging semantic-desktop server session setproctitle sftp sip skins smartcard smp smpeg snmp sockets soprano spell sql sqlite sse sse2 ssh ssl staging startup-notification stream subtitles subversion suidcheck svg syslog tcpd theora threads thunderbird tiff tinfo tk transparency truetype tty-helpers udev udisks udisks2 unicode unique upower urandom usb userlocales utils uvm uxa v4l v4l2 vaapi vboxwebsrv vdpau vhosts video vim vim-plugin vim-syntax vlm vnc vorbis vpx vte wav webinterface webkit webp wma wmf wxwidgets x264 xattr xcb xdmcp xft xml xmp xnest xosd xscreensaver xv xvfb xvid xvmc zenmap zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu efi-32 efi-64 pc coreboot multiboot" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python3_4 python2_7" RUBY_TARGETS="ruby21" SANE_BACKENDS="canon canon630u canon_dr canon_pp genesys hp" USERLAND="GNU" VIDEO_CARDS="intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.4"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

x11-drivers/nvidia-drivers-375.26::gentoo was built with the following:
USE="X acpi driver gtk3 kms multilib tools uvm -compat -pax_kernel -static-libs -wayland" ABI_X86="64"


ComputerB(problematic)
----------------------
# emerge --info nvidia-drivers firefox
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.4, glibc-2.23-r3, 4.4.6-gentoo-amelie x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-amelie-x86_64-Intel-R-_Core-TM-_i5-4690_CPU_@_3.50GHz-with-gentoo-2.3
KiB Mem:    16359680 total,   5877864 free
KiB Swap:   18874300 total,  18865280 free
Timestamp of repository gentoo: Sat, 04 Feb 2017 21:00:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA NVIDIA-CUDA RAR"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi airplay alsa amd64 bash-completion berkdb bindist blink bluetooth bluray branding bzip2 cairo caps cdda cdr clang cli consolekit corefonts cpudetection cracklib crypt css cups curl cxx dbus djvu dri dts dvd dvdr dvi emboss encode exif fading-colors fam ffmpeg firefox flac focused-urgency font-styles fontconfig fontforge fonts foomatic foomaticdb fortran freerdp fuse gd gdbm gif gimp glamor gnome-keyring goom gphoto2 gpm gstreamer gtk gtk3 http hwaccel iconv icu id3tag imagemagick imap imlib imlib2 ipv6 iso14755 java jpeg lcms ldap lensfun libnotify mad messages minizip mmx mng modules mount mousewheel mp3 mp4 mpeg multilib multiuser mysql mysqli ncurses nfs nls nptl nsplugin ogg opencl opengl openmp openrc openssl oss pam pango pcre pcsc-lite pdf perl pixbuf pkcs11 plasma png policykit ppds python qt3support qt4 qt5 readline redeyes rtmp scanner sdl seccomp sensord server session sftp smartcard spell sqlite sse sse2 ssh ssl staging startup-notification svg tcpd threads tiff tinfo truetype udev udisks unicode upower usb uvm v4l v4l2 vaapi vdpau vim-syntax vorbis vpx vte webp webserver wxwidgets x264 x265 xattr xcb xft xml xmp xv xvid zip zlib" ABI_X86="64 32" ALSA_CARDS="emu10k1x emu10k1" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot emu multiboot pc qemu" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LIRC_DEVICES="serial mceusb devinput inputlirc" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python3_4 python2_7" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-drivers/nvidia-drivers-375.26::gentoo was built with the following:
USE="X acpi driver gtk3 kms multilib tools uvm -compat -pax_kernel -static-libs -wayland" ABI_X86="64"


www-client/firefox-45.7.0::gentoo was built with the following:
USE="bindist dbus ffmpeg gmp-autoupdate gstreamer hwaccel jemalloc3 jit startup-notification -custom-cflags -custom-optimization -debug -gstreamer-0 -hardened (-neon) (-pgo) -pulseaudio (-selinux) (-system-cairo) -system-harfbuzz -system-icu -system-jpeg -system-libevent -system-libvpx -system-sqlite -test -wifi" ABI_X86="64" L10N="-ach -af -an -ar -as -ast -az -be -bg -bn-BD -bn-IN -br -bs -ca -cs -cy -da -de -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -fi -fr -fy -ga -gd -gl -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW"
CFLAGS="-pipe"
CXXFLAGS="-pipe"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags"

If you have any question, feel free to contact me.
Comment 41 Wojciech Myrda 2017-02-05 09:44:53 UTC
@lebarondemerde@gmx.com
I have played around with the issue by implementing changes within about:config like disabling acceleration, but only thing that was working for me emerging firefox with hwaccel flag disabled. On the side note I am not sure if it even did anything on my Intel Skylake as my CPU use seems about the same while I play videos except now the problem is gone
Comment 42 Jory A. Pratt gentoo-dev 2017-08-26 17:55:46 UTC
If you feel I have closed your bug and it is still a current issue, please reopen and update it completely. We will not work bugs that have no ebuild in tree any longer or can not be reproduced with a current system.

Thank You for your support and understanding
The Mozilla Team